onEvent('recipes', event => {

    //Liquid Starlight
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("astralsorcery:liquid_starlight", 100000))
        .requireFluid(Fluid.of('astralsorcery:liquid_starlight', 1)).chance(0.0)

    //Lava
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("minecraft:lava", 100000))
        .requireFluid(Fluid.of('minecraft:lava', 1)).chance(0.0)

    //Water
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("minecraft:water", 100000))
        .requireFluid(Fluid.of('minecraft:water', 1)).chance(0.0)

    //Milk
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("minecraft:milk", 100000))
        .requireFluid(Fluid.of('minecraft:milk', 1)).chance(0.0)

    //Cosmic Waste
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:cosmic_waste", 100000))
        .requireFluid(Fluid.of('kubejs:cosmic_waste', 1)).chance(0.0)

    //Molten Ultimate
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_ultimate", 100000))
        .requireFluid(Fluid.of('kubejs:molten_ultimate', 1)).chance(0.0)

    //Molten Spacetime
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_spacetime", 100000))
        .requireFluid(Fluid.of('kubejs:molten_spacetime', 1)).chance(0.0)

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_iron", 100000))
        .requireFluid(Fluid.of('kubejs:molten_iron', 1)).chance(0.0)

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_gold", 100000))
        .requireFluid(Fluid.of('kubejs:molten_gold', 1)).chance(0.0)

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_diamond", 100000))
        .requireFluid(Fluid.of('kubejs:molten_diamond', 1)).chance(0.0)

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_emerald", 100000))
        .requireFluid(Fluid.of('kubejs:molten_emerald', 1)).chance(0.0)

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 100000))
        .requireFluid(Fluid.of('kubejs:molten_energised_gold_alloy', 1)).chance(0.0)

    //Molten Netherite
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_netherite", 100000))
        .requireFluid(Fluid.of('kubejs:molten_netherite', 1)).chance(0.0)

    //Molten Netherite-Starmetal Alloy
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 100000))
        .requireFluid(Fluid.of('kubejs:molten_netherite_starmetal_alloy', 1)).chance(0.0)

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_starmetal", 100000))
        .requireFluid(Fluid.of('kubejs:molten_starmetal', 1)).chance(0.0)

    //Molten Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_briliant_diamond", 100000))
        .requireFluid(Fluid.of('kubejs:molten_briliant_diamond', 1)).chance(0.0)

    //Molten Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:creative_tank", 1)
        .produceFluid(Fluid.of("kubejs:molten_briliant_emerald", 100000))
        .requireFluid(Fluid.of('kubejs:molten_briliant_emerald', 1)).chance(0.0)

})